'''
-----------------------------------------------------------------------------
 Two dimensional symmetric global model of a double edged notch specimen
 (linear elastic material) modeled using hybrid reduced integration plane
 strain elements (CPE8RH). Coarse mesh is used.
 Submit the job: 2DDoubleEdPlasGlCPE8RH
-----------------------------------------------------------------------------
'''

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
modelName = '2DDoubleEdPlasGlCPE8RH'
openMdb(modelName)
myModel = mdb.models[modelName]
myAssembly = myModel.rootAssembly
myViewport = session.Viewport(name=modelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the job for analysis

mdb.jobs[modelName].submit()
mdb.jobs[modelName].waitForCompletion()

#---------------------------------------------------------------------------
